summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornot_anonymous2015-07-05 18:08:28 -0600
committernot_anonymous2015-07-05 18:08:28 -0600
commit5571976a2b88b1b1edd80b95767d9ac8c9b6622b (patch)
tree96028e332e7faffe6ff9e3ee4236502719984d37
downloadaur-5571976a2b88b1b1edd80b95767d9ac8c9b6622b.tar.gz
Initial import
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD46
-rw-r--r--gtkmmorse.desktop11
-rw-r--r--gtkmmorse.install11
4 files changed, 93 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..25131b982d9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = gtkmmorse
+ pkgdesc = GUI Morse code tutor (based on ALDO) - Koch & Classic training modes.
+ pkgver = 0.9.28
+ pkgrel = 1
+ url = http://gtkmmorse.nongnu.org/
+ install = gtkmmorse.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = autoconf
+ makedepends = automake
+ makedepends = gcc
+ depends = libao
+ depends = gtkmm
+ depends = gconfmm
+ depends = desktop-file-utils
+ source = gtkmmorse::git://git.sv.gnu.org/gtkmmorse.git
+ source = gtkmmorse.desktop
+ md5sums = SKIP
+ md5sums = f502a07fa34399d9e1ec662bb8236743
+ sha256sums = SKIP
+ sha256sums = 8db6b4d36e6db1251d5b0e8a2a8d92ab35df8bd7794979c6b56e746b477b820d
+
+pkgname = gtkmmorse
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..355feb5d128
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: not_anonymous <nmlibertarian@gmail.com>
+# Contributor: Vitaliy Berdinskikh ur6lad[at]i.ua
+# Original Submitter: Bob Finch <w9ya@qrparci.net>
+
+pkgname=gtkmmorse
+pkgver=0.9.28
+#.r6.ge857be9
+pkgrel=1
+pkgdesc="GUI Morse code tutor (based on ALDO) - Koch & Classic training modes."
+arch=('i686' 'x86_64')
+url="http://gtkmmorse.nongnu.org/"
+license=('GPL')
+depends=('libao' 'gtkmm' 'gconfmm' 'desktop-file-utils')
+makedepends=('autoconf' 'automake' 'gcc')
+install=$pkgname.install
+source=("$pkgname::git://git.sv.gnu.org/$pkgname.git"
+ $pkgname.desktop)
+
+#pkgver() {
+# cd "$srcdir/$pkgname"
+# git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+#}
+
+prepare() {
+ cd $srcdir/$pkgname
+ sed -i s:'-4.3':: src/Makefile.am
+}
+
+build() {
+ cd $srcdir/$pkgname
+ ./autogen.sh
+ ./configure --prefix=/usr --mandir=/usr/share/man
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname
+ make DESTDIR=$pkgdir install
+
+ mkdir -p $pkgdir/usr/share/applications
+ install -m644 ../*.desktop $pkgdir/usr/share/applications/
+}
+md5sums=('SKIP'
+ 'f502a07fa34399d9e1ec662bb8236743')
+sha256sums=('SKIP'
+ '8db6b4d36e6db1251d5b0e8a2a8d92ab35df8bd7794979c6b56e746b477b820d')
diff --git a/gtkmmorse.desktop b/gtkmmorse.desktop
new file mode 100644
index 00000000000..d79c09fe072
--- /dev/null
+++ b/gtkmmorse.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=GtkMMorse
+Comment=Morse Code Testing/Trainer
+Exec=gtkmmorse
+MimeType=text/plain;
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=HamRadio;
+X-DCOP-ServiceType=none
+X-KDE-SubstituteUID=false
diff --git a/gtkmmorse.install b/gtkmmorse.install
new file mode 100644
index 00000000000..2eaa60550d5
--- /dev/null
+++ b/gtkmmorse.install
@@ -0,0 +1,11 @@
+post_install() {
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}